Skip to main content
GET
/
{team_id}
/
time
/
tracking
/
config
Get workspace rate config
curl --request GET \
  --url https://api.superthread.com/v1/{team_id}/time/tracking/config \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.superthread.com/v1/{team_id}/time/tracking/config"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.superthread.com/v1/{team_id}/time/tracking/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rate_config": {
    "team_id": "tDsu0j19",
    "default_rate_cents": 10000,
    "billable_by_default": true,
    "privacy_setting": "visible_to_admins"
  }
}
{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Response

Workspace rate configuration

rate_config
object